/*
 * uData API
 * uData API
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.asso.ladoxa.datagouv.models;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * DiscussionStart
 */

public class DiscussionStart {
  @JsonProperty("comment")
  private String comment = null;

  @JsonProperty("extras")
  private Object extras = null;

  @JsonProperty("subject")
  private Object subject = null;

  @JsonProperty("title")
  private String title = null;

  public DiscussionStart comment(String comment) {
    this.comment = comment;
    return this;
  }

   /**
   * The content of the initial comment
   * @return comment
  **/
  @ApiModelProperty(required = true, value = "The content of the initial comment")
  public String getComment() {
    return comment;
  }

  public void setComment(String comment) {
    this.comment = comment;
  }

  public DiscussionStart extras(Object extras) {
    this.extras = extras;
    return this;
  }

   /**
   * Extras attributes as key-value pairs
   * @return extras
  **/
  @ApiModelProperty(value = "Extras attributes as key-value pairs")
  public Object getExtras() {
    return extras;
  }

  public void setExtras(Object extras) {
    this.extras = extras;
  }

  public DiscussionStart subject(Object subject) {
    this.subject = subject;
    return this;
  }

   /**
   * The discussion target object
   * @return subject
  **/
  @ApiModelProperty(required = true, value = "The discussion target object")
  public Object getSubject() {
    return subject;
  }

  public void setSubject(Object subject) {
    this.subject = subject;
  }

  public DiscussionStart title(String title) {
    this.title = title;
    return this;
  }

   /**
   * The title of the discussion to open
   * @return title
  **/
  @ApiModelProperty(required = true, value = "The title of the discussion to open")
  public String getTitle() {
    return title;
  }

  public void setTitle(String title) {
    this.title = title;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DiscussionStart discussionStart = (DiscussionStart) o;
    return Objects.equals(this.comment, discussionStart.comment) &&
        Objects.equals(this.extras, discussionStart.extras) &&
        Objects.equals(this.subject, discussionStart.subject) &&
        Objects.equals(this.title, discussionStart.title);
  }

  @Override
  public int hashCode() {
    return Objects.hash(comment, extras, subject, title);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DiscussionStart {\n");

    sb.append("    comment: ").append(toIndentedString(comment)).append("\n");
    sb.append("    extras: ").append(toIndentedString(extras)).append("\n");
    sb.append("    subject: ").append(toIndentedString(subject)).append("\n");
    sb.append("    title: ").append(toIndentedString(title)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

